<?php
class PromocionlocalF_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

   public function guardar($parametro){//guarda los datos de una nueva promoción en la bd
      $campos=array(  
         'NombrePromocion' => $parametro['NombrePromocion'],
         'FolioPromocion' => $parametro['FolioPromocion'],
         'Precio' => $parametro['Precio'],
         'DescripcionPromocion' => $parametro['DescripcionPromocion'],
         'FechaInicioPromocion' => $parametro['FechaInicioPromocion'],
         'FechaTerminoPromocion' => $parametro['FechaTerminoPromocion'],
         'Estatus' => $parametro['Estatus'],
         'tipopromocion_IdTipoPromocion' => $parametro['tipopromocion_IdTipoPromocion'],
         'categoria_IdCategoria' => $parametro['categoria_IdCategoria'],
         'zona_IdZona' => $parametro['zona_IdZona'],
         'ClasificacionPromocion' => $parametro['ClasificacionPromocion'],
         'ClasePromocion' => $parametro['ClasePromocion'],
         'franquicias_IdFranquicias' => $parametro['franquicias_IdFranquicias']
            );

          $folio=$campos['FolioPromocion'];
          $this->db->insert('promociones',$campos);
          $res=$this->db->affected_rows();
          if($res == 1){
            // $query='UPDATE promociones SET FolioPromocion = FolioPromocion + (SELECT IdPromociones FROM promociones where FolioPromocion = $folio');
            // $this->db->get();

            $this->db->select('IdPromociones');
            $this->db->from('promociones');
            $this->db->where('FolioPromocion', $folio);
            $query = $this->db->get();
            $resultado = $query->result();

           // $res1=$this->db->affected_rows();
            // if ($res1==1) {
             
             foreach ($resultado as $fila) {
             $valor = $fila->IdPromociones;
              }
            //   $idpromo =$var1[0].IdPromociones;
              $var2=$folio.$valor;
              
              # code...
              $this->db->set('FolioPromocion', $var2); //value that used to update column  
              $this->db->where('FolioPromocion', $folio); //which row want to upgrade  
              $this->db->update('promociones');  //table name
             // $res2=$this->db->affected_rows();
            //$var1 = json_encode($resultado);
            
            // echo "<script>alert('Datos guardados correctamente');</script>";
            // redirect('promociones/franquiciatario/promocionlocalF','refresh');
            echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
           // }
            
          }else {
                // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
                // redirect('promociones/franquiciatario/promocionlocalF','refresh');
                echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
          }
        }

 public function obtenerenlace ($id){//permite acceder al id del cliente que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdPromociones', $id);
      $query=$this->db->get('promociones');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }
   function editarenlace ($IdPromociones, $data)//permite guardar en la bd la información que se modificó de la pomoción
   {
      $this->db->where('IdPromociones', $IdPromociones);
      $this->db->update('promociones', $data);
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('promociones/franquiciatario/promocionlocalF','refresh');
         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
      //   echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
      // redirect('promociones/franquiciatario/promocionlocalF','refresh');
       echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        // redirect('promociones/franquiciatario/promocionlocalF','refresh');
         echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
      }
   }




     function buscar($query) {//Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la promoción)
    $data['Franquicias']=$this->promocionlocalF_model->BuscarFranquicia();
    foreach ($data['Franquicias'] as $i => $Franquicias) 
    $this->db->select('*');
    $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
    $this->db->join('zona','Zona_IdZona = IdZona','inner');  
    $this->db->like('NombrePromocion', $query);
    $this->db->where('TipoPromocion_IdTipoPromocion','2');
    $this->db->where('Estatus','ACTIVA');
    $this->db->where('Franquicias_IdFranquicias',$i);
     $query=$this->db->get('promociones');

    if ($query->num_rows() > 0){
      return $query;
    }else{
       // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
       // redirect('promociones/franquiciatario/promocionlocalF','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
    }
  }


   //Consulta que elimina los productos
    public function eliminar ($id){
      
      $this->db->where('IdPromociones', $id);
      $this->db->delete('promocionesgenerales');
      $res=$this->db->affected_rows();
      if($res==0){
        //Muestra una alerta cuando se realizo
     //  echo "<script>alert('Error, no se pudierón eliminar los datos');</script>";
     // redirect('promociones/franquiciatario/promocionlocalF','refresh');
     echo "<script>alert('Error, no se pudierón eliminar los datos');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
      }else{
        //Muestra una alerta cuando no se realizo
     //  echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     // redirect('promociones/franquiciatario/promocionlocalF','refresh');
     echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."promociones/franquiciatario/promocionlocalF';
                 </script>";
      }
    }
public function BuscarTipoPromocion(){// Realiza una consulta a la bd para buscar los tipos de promoción que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdTipoPromocion,TipoPromocion FROM tipopromocion where IdTipoPromocion = 2'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoPromocion, ENT_QUOTES)] = htmlspecialchars($row->TipoPromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
    
// public function BuscarTipoPromocion(){// Realiza una consulta a la bd para buscar los tipos de promoción que existen y poder mandar el resultado
//      $query = $this->db-> query('SELECT IdTipoPromocion,NombrePromocion FROM tipopromocion where IdTipoPromocion = 2'); 
//        if ($query->num_rows() > 0) { 
//         foreach($query->result() as $row) 
//          $arrDatos[htmlspecialchars($row->IdTipoPromocion, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
//             $query->free_result(); 
//             return $arrDatos; }
//          }

 public function BuscarCategoria(){// Realiza una consulta a la bd para buscar las categorías que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
  public function BuscarZona(){// Realiza una consulta a la bd para buscar las zonas que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
         
  public function BuscarFranquicia(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



public function BuscarZonaFranquicia(){
     $this->db->select('NombreZona, Zona_IdZona');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('zona','IdZona=Zona_IdZona','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        /*foreach($query->result() as $row) */
              return $query->result(); }
    }



  public function BuscarFranquicia1(){// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
  }